Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.admin.ui
Class DebuggerPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.portlet.portal.admin.ui.DebuggerPortlet

All Implemented Interfaces:
  Portlet

    public class DebuggerPortlet

extends GenericPortlet

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`DebuggerPortlet()`

Method Summary
`protected void` | `doView(RenderRequest req, RenderResponse resp)` Helper method to serve up the mandatory `view` mode.
`static int` | `rand(int lo, int hi)`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, processAction, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebuggerPortlet

    public DebuggerPortlet()

Method Detail

### doView

    protected void doView(RenderRequest req,
                          RenderResponse resp)
                   throws PortletException,
                          java.io.IOException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `req` - the portlet request
    `resp` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

### rand

    public static int rand(int lo,
                           int hi)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.